<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>tfs</artifactId>
		<groupId>gov.va.med.tfs</groupId>
		<version>1.0.12-H-SNAPSHOT</version>
		<relativePath>../pom.xml</relativePath>
	</parent>
	<artifactId>tfs-functional-tests</artifactId>
	<name>TFS: tfs-functional-tests</name>
	<description>
		Functional tests for the Template and Filter Service (TFS) Enterprise Application
	</description>
	<packaging>jar</packaging>
	<dependencies>
		<dependency>
			<groupId>gov.va.med.tfs</groupId>
			<artifactId>tfs-core</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-collections4</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-dbcp2</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-pool2</artifactId>
		</dependency>
		<!-- <dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-annotations</artifactId>
		</dependency> -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-commons-annotations</artifactId>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-core</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.annotation</groupId>
			<artifactId>jsr250-api</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.transaction</groupId>
			<artifactId>jta</artifactId>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
		</dependency>
		<!-- -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.aspectj</groupId>
			<artifactId>aspectjweaver</artifactId>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>common</artifactId>
		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>junit-ext</artifactId>
 		</dependency>
		<dependency>
			<groupId>${repos.lib.groupid}</groupId>
			<artifactId>testharness</artifactId>
            		<classifier>tests</classifier>
            		<scope>test</scope>
		</dependency>
		<!-- <dependency>
			<groupId>gov.va.med.hdr</groupId>
			<artifactId>idm-webservice-client</artifactId>
		</dependency> -->
		<!-- Required for WebService -->
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wlthint3client</artifactId>
			<scope>provided</scope>
		</dependency>
		<!-- <dependency>
			<groupId>weblogic</groupId>
			<artifactId>wls-api</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wljmsclient</artifactId>
			<scope>provided</scope>
		</dependency> -->
		<dependency>
			<groupId>com.oracle.weblogic</groupId>
			<artifactId>weblogic-maven-plugin</artifactId>
			<scope>provided</scope>
		</dependency>
	</dependencies>
	<profiles>
  		<profile>
  			<id>clover</id>
  			
  			<build>
  				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<licenseLocation> ${CDSN_ROOT}/misc/tools/Clover/clover.license 
							</licenseLocation>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
  				</plugins>
  			</build>
  		</profile>
  	</profiles>
	<build>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		<plugins />
	</build>
</project>
